//#define XERR
#include "loop.ih"

// perform a screening

void Loop::screen(double screeningAge)
{
    // visit all modalities: for (ModBase *...) or comparable

//xerr("");
//for (auto const &id: d_screening.round(d_round).modalityIDs())
//cerr<<"     id: " << id <<'\n';

                                            // org/screen: 4, screen.txt: 1
    for (ModBase *modBase:
                  d_modalities.use(d_screening.round(d_round).modalityIDs())
    )
    { 
//xerr("use " << modBase->id());

        if (not use(modBase))
            continue;

//xerr("cpt costs");

        addCost(d_costs.screening(screeningAge, modBase->cost()));

        if (d_tumor) 
            d_tumor.characteristics(screeningAge); 

                        // test2 (see below)
        if (d_tumor and screeningAge >= d_tumor.detectableAge()) 
            maybeDetect(modBase, screeningAge);
        else 
            maybeFalsePositive(modBase, screeningAge);
    }
}

// tumor   test2   maybedetect maybefalsepos
//   1       1         1           0
//   1       0         0           1
//   0       1         0           1
//   0       0         0           1
// 
// -> calling maybeFalsePositive may not be called when just 'not d_tumor'
//    is true.
