#ifndef INCLUDED_MRI_
#define INCLUDED_MRI_

#include "../modbase/modbase.h"

class MRI: public ModBase
{
    double d_sensitivity;
    double d_specificity;

    SizeVect d_count;

    public:
        MRI(std::istream &in);
        ~MRI() override;

    private:
//        void vInitialize(size_t nRounds) override;

        double const *vDose() const override;               // 1
        double vDose(uint16_t idx) const override;          // 2
        void vInsert(std::ostream &out) const override;
        double vSensitivity(size_t idx) const override;
        double vSpecificity(double age) const override;

};
        
#endif
